## asterisk-addons 1.6.2.1

=== Makefile ===
#
# Asterisk -- A telephony toolkit for Linux.
# 
# Makefile for Asterisk-addons
#
# Copyright (C) 1999-2008, Digium, Inc.
#
# This program is free software, distributed under the terms of
# the GNU General Public License
#

export ASTERISK_INCLUDE
export ASTCFLAGS
export ASTTOPDIR
export CC
export DESTDIR
export INSTALL
export MODULES_DIR
export NOISY_BUILD
export SOLINK

#NOISY_BUILD=yes

empty:=
space:=$(empty) $(empty)
ASTTOPDIR:=$(subst $(space),\$(space),$(CURDIR))

# Overwite config files on "make samples"
OVERWRITE:=y

# If the file .asteriskaddons.makeopts is present in your home directory, you can
# include all of your favorite menuselect options so that every time you download
# a new version of Asterisk-addons, you don't have to run menuselect to set them.
# The file /etc/asteriskaddons.makeopts will also be included but can be overridden
# by the file in your home directory.

GLOBAL_MAKEOPTS=$(wildcard /etc/asteriskaddons.makeopts)
USER_MAKEOPTS=$(wildcard ~/.asteriskaddons.makeopts)

MOD_SUBDIR_CFLAGS=$(ASTERISK_INCLUDE)
OTHER_SUBDIR_CFLAGS=$(ASTERISK_INCLUDE)

#ifeq ($(strip $(foreach var,clean distclean dist-clean update,$(findstring $(var),$(MAKECMDGOALS)))),)
# ifneq ($(wildcard menuselect.makeopts),)
#  include menuselect.makeopts
#  include menuselect.makedeps
# endif
#endif

ifneq ($(wildcard makeopts),)
  include makeopts
endif

ifeq ($(AST_DEVMODE),yes)
  ASTCFLAGS+=-Werror -Wunused -Wundef $(AST_DECLARATION_AFTER_STATEMENT) -Wmissing-format-attribute -Wformat-security -Wformat=2
endif

ifeq ($(OSARCH),SunOS)
  ASTETCDIR=/var/etc/asterisk
  ASTLIBDIR=/opt/asterisk/lib
  ASTVARLIBDIR=/var/opt/asterisk
else
  ASTETCDIR=$(sysconfdir)/asterisk
  ASTLIBDIR=$(libdir)/asterisk
ifneq ($(findstring BSD,$(OSARCH)),)
  ASTVARLIBDIR=$(prefix)/share/asterisk
else
  ASTVARLIBDIR=$(localstatedir)/lib/asterisk
endif
endif
ifeq ($(ASTDATADIR),)
  ASTDATADIR:=$(ASTVARLIBDIR)
endif

MODULES_DIR=$(ASTLIBDIR)/modules

#MOD_SUBDIRS:=channels pbx apps codecs formats cdr funcs tests main res $(LOCAL_MOD_SUBDIRS)
MOD_SUBDIRS:=channels apps formats cdr res $(LOCAL_MOD_SUBDIRS)
OTHER_SUBDIRS:=
SUBDIRS:=$(OTHER_SUBDIRS) $(MOD_SUBDIRS)
SUBDIRS_INSTALL:=$(SUBDIRS:%=%-install)
SUBDIRS_CLEAN:=$(SUBDIRS:%=%-clean)
SUBDIRS_DIST_CLEAN:=$(SUBDIRS:%=%-dist-clean)
SUBDIRS_UNINSTALL:=$(SUBDIRS:%=%-uninstall)
MOD_SUBDIRS_EMBED_LDSCRIPT:=$(MOD_SUBDIRS:%=%-embed-ldscript)
MOD_SUBDIRS_EMBED_LDFLAGS:=$(MOD_SUBDIRS:%=%-embed-ldflags)
MOD_SUBDIRS_EMBED_LIBS:=$(MOD_SUBDIRS:%=%-embed-libs)
MOD_SUBDIRS_MENUSELECT_TREE:=$(MOD_SUBDIRS:%=%-menuselect-tree)

ifeq ($(OSARCH),Darwin)
SOLINK=-dynamic -bundle -undefined suppress -force_flat_namespace
else
SOLINK=-shared -Xlinker -x
endif
ifeq ($(OSARCH),SunOS)
SOLINK=-shared -fpic -L$(CROSS_COMPILE_TARGET)/usr/local/ssl/lib
endif

# comment to print directories during submakes
#PRINT_DIR=yes

SILENTMAKE:=$(MAKE) --quiet --no-print-directory
ifneq ($(PRINT_DIR)$(NOISY_BUILD),)
SUBMAKE:=$(MAKE) --quiet
else
SUBMAKE:=$(MAKE) --quiet --no-print-directory
endif

# $(MAKE) is printed in several places, and we want it to be a
# fixed size string. Define a variable whose name has also the
# same size, so we can easily align text.
ifeq ($(MAKE), gmake)
	mK="gmake"
else
	mK=" make"
endif

all: _all
	@echo " +----	 Asterisk-Addons Build Complete ----+"
	@echo " +                                           +"
	@echo " +   Addons has successfully been built .    +"
	@echo " +   If you would like to install it :       +"
	@echo " +                                           +"
	@echo " +               $(mK) install               +"  
	@echo " +-------------------------------------------+"  

_all: cleantest makeopts $(SUBDIRS) doc/addons-en_US.xml

makeopts: configure
	@echo "****"
	@echo "**** The configure script must be executed before running '$(MAKE)'." 
	@echo "****               Please run \"./configure\"."
	@echo "****"
	@exit 1

menuselect.makeopts: menuselect/menuselect menuselect-tree makeopts
	menuselect/menuselect --check-deps $@ $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS)

$(MOD_SUBDIRS_EMBED_LDSCRIPT):
	@echo "EMBED_LDSCRIPTS+="`$(SILENTMAKE) -C $(@:-embed-ldscript=) SUBDIR=$(@:-embed-ldscript=) __embed_ldscript` >> makeopts.embed_rules

$(MOD_SUBDIRS_EMBED_LDFLAGS):
	@echo "EMBED_LDFLAGS+="`$(SILENTMAKE) -C $(@:-embed-ldflags=) SUBDIR=$(@:-embed-ldflags=) __embed_ldflags` >> makeopts.embed_rules

$(MOD_SUBDIRS_EMBED_LIBS):
	@echo "EMBED_LIBS+="`$(SILENTMAKE) -C $(@:-embed-libs=) SUBDIR=$(@:-embed-libs=) __embed_libs` >> makeopts.embed_rules

$(MOD_SUBDIRS_MENUSELECT_TREE):
	@$(SUBMAKE) -C $(@:-menuselect-tree=) SUBDIR=$(@:-menuselect-tree=) moduleinfo
	@$(SUBMAKE) -C $(@:-menuselect-tree=) SUBDIR=$(@:-menuselect-tree=) makeopts

makeopts.embed_rules: menuselect.makeopts
	@echo "Generating embedded module rules ..."
	@rm -f $@
	@$(MAKE) $(PRINT_DIR) $(MOD_SUBDIRS_EMBED_LDSCRIPT)
	@$(MAKE) $(PRINT_DIR) $(MOD_SUBDIRS_EMBED_LDFLAGS)
	@$(MAKE) $(PRINT_DIR) $(MOD_SUBDIRS_EMBED_LIBS)

$(SUBDIRS): makeopts.embed_rules

$(MOD_SUBDIRS):
	@ASTCFLAGS="$(MOD_SUBDIR_CFLAGS) $(ASTCFLAGS)" ASTLDFLAGS="$(ASTLDFLAGS)" $(MAKE) $(PRINT_DIR) --no-builtin-rules -C $@ SUBDIR=$@ all

$(OTHER_SUBDIRS):
	@ASTCFLAGS="$(OTHER_SUBDIR_CFLAGS) $(ASTCFLAGS)" ASTLDFLAGS="$(ASTLDFLAGS)" $(MAKE) $(PRINT_DIR) --no-builtin-rules -C $@ SUBDIR=$@ all

config.status: configure
	@./configure
	@echo "****"
	@echo "**** The configure script was just executed, so 'make' needs to be"
	@echo "**** restarted."
	@echo "****"
	@exit 1

install: _all $(SUBDIRS_INSTALL) install-xmldoc 
	@echo " +---- Asterisk-Addons Installation Complete ----+"
	@echo " +                                               +"
	@echo " +    Addons has successfully been installed.    +"
	@echo " +    If you would like to install the sample    +"
	@echo " +    configuration files (overwriting any       +"
	@echo " +    existing config files), run:               +"
	@echo " +                                               +"
	@echo " +               $(MAKE) samples                    +"
	@echo " +-----------------------------------------------+"

install-xmldoc: doc/addons-en_US.xml
	@echo "Installing XML documentation"
	@$(INSTALL) -d $(DESTDIR)$(ASTDATADIR)/documentation
	@$(INSTALL) -m 644 doc/addons-*.xml $(DESTDIR)$(ASTDATADIR)/documentation

cleantest:

$(SUBDIRS_INSTALL):
	@DESTDIR="$(DESTDIR)" ASTSBINDIR="$(ASTSBINDIR)" $(MAKE) --quiet $(PRINT_DIR) -C $(@:-install=) install

$(SUBDIRS_UNINSTALL):
	@$(MAKE) $(PRINT_DIR) -C $(@:-uninstall=) uninstall

$(SUBDIRS_CLEAN):
	@$(MAKE) $(PRINT_DIR) -C $(@:-clean=) clean

$(SUBDIRS_DIST_CLEAN):
	@$(MAKE) $(PRINT_DIR) -C $(@:-dist-clean=) dist-clean

clean: $(SUBDIRS_CLEAN)
	@$(MAKE) -C menuselect clean

dist-clean: distclean

distclean: $(SUBDIRS_DIST_CLEAN) clean
	@$(MAKE) -C menuselect dist-clean
	rm -f menuselect.makeopts makeopts menuselect-tree menuselect.makedeps
	rm -f makeopts.embed_rules
	rm -f config.log config.status
	rm -rf autom4te.cache
	rm -f build_tools/menuselect-deps

samples: 
	mkdir -p $(DESTDIR)$(ASTETCDIR)
	for x in configs/*.sample; do \
		if [ -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ]; then \
			if [ "$(OVERWRITE)" = "y" ]; then \
				if cmp -s $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $$x ; then \
					echo "Config file $$x is unchanged"; \
					continue; \
				fi ; \
				mv -f $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample`.old ; \
			else \
				echo "Skipping config file $$x"; \
				continue; \
			fi ;\
		fi ; \
		$(INSTALL) -m 644 $$x $(DESTDIR)$(ASTETCDIR)/`basename $$x .sample` ;\
	done

doc/addons-en_US.xml: $(foreach dir,$(MOD_SUBDIRS),$(wildcard $(dir)/*.c) $(wildcard $(dir)/*.cc))
	@echo -n "Building Documentation For: "
	@echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" > $@
	@echo "<!DOCTYPE docs SYSTEM \"appdocsxml.dtd\">" >> $@
	@echo "<docs>" >> $@
	@for x in $(MOD_SUBDIRS); do \
		echo -n "$$x " ; \
		for i in $$x/*.c; do \
			$(AWK) -f build_tools/get_documentation $$i >> $@ ; \
		done ; \
	done
	@echo
	@echo "</docs>" >> $@

validate-docs: install-xmldoc 
ifeq ($(XMLSTARLET),:)
	@echo "---------------------------------------------------------------"
	@echo "--- Please install xmlstarlet to validate the documentation ---"
	@echo "---------------------------------------------------------------"
else
	@$(XMLSTARLET) val -E $(ASTDATADIR)/documentation/addons-en_US.xml 
endif

update:
	@if [ -d .svn ]; then \
		echo "Updating from Subversion..." ; \
		fromrev="`svn info | $(AWK) '/Revision: / {print $$2}'`"; \
		svn update | tee update.out; \
		torev="`svn info | $(AWK) '/Revision: / {print $$2}'`"; \
		echo "`date`  Updated from revision $${fromrev} to $${torev}." >> update.log; \
		rm -f .version; \
		if [ `grep -c ^C update.out` -gt 0 ]; then \
			echo ; echo "The following files have conflicts:" ; \
			grep ^C update.out | cut -b4- ; \
		fi ; \
		rm -f update.out; \
	else \
		echo "Not under version control"; \
	fi

menuconfig: menuselect

cmenuconfig: cmenuselect

gmenuconfig: gmenuselect

nmenuconfig: nmenuselect

menuselect: menuselect/cmenuselect menuselect/nmenuselect menuselect/gmenuselect
	@if [ -x menuselect/nmenuselect ]; then \
		$(MAKE) nmenuselect; \
	elif [ -x menuselect/cmenuselect ]; then \
		$(MAKE) cmenuselect; \
	elif [ -x menuselect/gmenuselect ]; then \
		$(MAKE) gmenuselect; \
	else \
		echo "No menuselect user interface found. Install ncurses,"; \
		echo "newt or GTK libraries to build one and re-rerun"; \
		echo "'make menuselect'."; \
	fi

cmenuselect: menuselect/cmenuselect menuselect-tree
	-@menuselect/cmenuselect menuselect.makeopts $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS) && echo "menuselect changes saved!" || echo "menuselect changes NOT saved!"

gmenuselect: menuselect/gmenuselect menuselect-tree
	-@menuselect/gmenuselect menuselect.makeopts $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS) && echo "menuselect changes saved!" || echo "menuselect changes NOT saved!"

nmenuselect: menuselect/nmenuselect menuselect-tree
	-@menuselect/nmenuselect menuselect.makeopts $(GLOBAL_MAKEOPTS) $(USER_MAKEOPTS) && echo "menuselect changes saved!" || echo "menuselect changes NOT saved!"

# options for make in menuselect/
MAKE_MENUSELECT=CC="$(HOST_CC)" CXX="$(CXX)" LD="" AR="" RANLIB="" CFLAGS="" $(MAKE) -C menuselect CONFIGURE_SILENT="--silent"

menuselect/menuselect: menuselect/makeopts
	$(MAKE_MENUSELECT) menuselect

menuselect/cmenuselect: menuselect/makeopts
	$(MAKE_MENUSELECT) cmenuselect

menuselect/gmenuselect: menuselect/makeopts
	$(MAKE_MENUSELECT) gmenuselect

menuselect/nmenuselect: menuselect/makeopts
	$(MAKE_MENUSELECT) nmenuselect

menuselect/makeopts: makeopts
	$(MAKE_MENUSELECT) makeopts

menuselect-tree: $(foreach dir,$(filter-out main,$(MOD_SUBDIRS)),$(wildcard $(dir)/*.c) $(wildcard $(dir)/*.cc)) configure
	@echo "Generating input for menuselect ..."
	@echo "<?xml version=\"1.0\"?>" > $@
	@echo >> $@
	@echo "<menu name=\"Asterisk-addons Module Selection\">" >> $@
	@for dir in $(sort $(filter-out main,$(MOD_SUBDIRS))); do $(SUBMAKE) -C $${dir} SUBDIR=$${dir} moduleinfo >> $@; done
	@for dir in $(sort $(filter-out main,$(MOD_SUBDIRS))); do $(SUBMAKE) -C $${dir} SUBDIR=$${dir} makeopts >> $@; done
	@echo "</menu>" >> $@

.PHONY: menuselect clean dist-clean distclean all cleantest install-xmldoc uninstall _uninstall uninstall-all dont-optimize $(SUBDIRS_INSTALL) $(SUBDIRS_DIST_CLEAN) $(SUBDIRS_CLEAN) $(SUBDIRS_UNINSTALL) $(SUBDIRS) $(MOD_SUBDIRS_EMBED_LDSCRIPT) $(MOD_SUBDIRS_EMBED_LDFLAGS) $(MOD_SUBDIRS_EMBED_LIBS)

=== cdr/Makefile ===
#
# Asterisk -- A telephony toolkit for Linux.
# 
# Makefile for CDR backends
#
# Copyright (C) 1999-2008, Digium, Inc.
#
# This program is free software, distributed under the terms of
# the GNU General Public License
#

-include $(ASTTOPDIR)/menuselect.makeopts $(ASTTOPDIR)/menuselect.makedeps

MODULE_PREFIX=cdr
MENUSELECT_CATEGORY=CDR
MENUSELECT_DESCRIPTION=Call Detail Recording

all: _all

include $(ASTTOPDIR)/Makefile.moddir_rules

=== channels/Makefile ===
#
# Asterisk -- A telephony toolkit for Linux.
# 
# Makefile for channel drivers
#
# Copyright (C) 1999-2008, Digium, Inc.
#
# This program is free software, distributed under the terms of
# the GNU General Public License
#

-include $(ASTTOPDIR)/menuselect.makeopts $(ASTTOPDIR)/menuselect.makedeps

MODULE_PREFIX=chan
MENUSELECT_CATEGORY=CHANNELS
MENUSELECT_DESCRIPTION=Channel Drivers

H323OBJS=ooCmdChannel.o ooLogChan.o ooUtils.o ooGkClient.o context.o \
	ooDateTime.o decode.o dlist.o encode.o errmgmt.o \
	memheap.o ootrace.o oochannels.o ooh245.o ooports.o \
	ooq931.o ooCapability.o ooSocket.o perutil.o eventHandler.o \
	ooCalls.o ooStackCmds.o ooh323.o ooh323ep.o printHandler.o \
	rtctype.o ooTimer.o h323/H235-SECURITY-MESSAGESDec.o \
	h323/H235-SECURITY-MESSAGESEnc.o h323/H323-MESSAGES.o h323/H323-MESSAGESDec.o \
	h323/H323-MESSAGESEnc.o h323/MULTIMEDIA-SYSTEM-CONTROL.o \
	h323/MULTIMEDIA-SYSTEM-CONTROLDec.o h323/MULTIMEDIA-SYSTEM-CONTROLEnc.o

H323CFLAGS=-Iooh323c/src -Iooh323c/src/h323

all: _all

include $(ASTTOPDIR)/Makefile.moddir_rules

clean::
	rm -f $(addprefix ooh323c/src/,$(H323OBJS))

dist-clean::

chan_ooh323.o: ASTCFLAGS+=$(H323CFLAGS)

$(if $(filter chan_ooh323,$(EMBEDDED_MODS)),modules.link,chan_ooh323.so): ASTCFLAGS+=$(H323CFLAGS)
$(if $(filter chan_ooh323,$(EMBEDDED_MODS)),modules.link,chan_ooh323.so): $(addprefix ooh323c/src/,$(H323OBJS)) chan_ooh323.o ooh323cDriver.o

=== formats/Makefile ===
#
# Asterisk -- A telephony toolkit for Linux.
# 
# Makefile for file format modules
#
# Copyright (C) 1999-2008, Digium, Inc.
#
# This program is free software, distributed under the terms of
# the GNU General Public License
#

-include $(ASTTOPDIR)/menuselect.makeopts $(ASTTOPDIR)/menuselect.makedeps

MODULE_PREFIX=format
MENUSELECT_CATEGORY=FORMATS
MENUSELECT_DESCRIPTION=Format Interpreters

all: _all

include $(ASTTOPDIR)/Makefile.moddir_rules

clean::
	$(MAKE) -C mp3 clean

$(if $(filter format_mp3,$(EMBEDDED_MODS)),modules.link,format_mp3.so): mp3/common.o mp3/dct64_i386.o mp3/decode_ntom.o mp3/layer3.o mp3/tabinit.o mp3/interface.o

=== res/Makefile ===
#
# Asterisk -- A telephony toolkit for Linux.
# 
# Makefile for resource modules
#
# Copyright (C) 1999-2008, Digium, Inc.
#
# This program is free software, distributed under the terms of
# the GNU General Public License
#

-include $(ASTTOPDIR)/menuselect.makeopts $(ASTTOPDIR)/menuselect.makedeps

MODULE_PREFIX=res
MENUSELECT_CATEGORY=RES
MENUSELECT_DESCRIPTION=Resource Modules

all: _all

include $(ASTTOPDIR)/Makefile.moddir_rules

=== debian/changelog ===
asterisk-addons (1.6.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #542081).
    - Patch docs_destdir removed: applied upstream.
  * Use a @debian.org address.
  * dpkg v3. format.
  * Standards version 3.8.4. No change needed.

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 25 May 2010 07:31:41 +0300

asterisk-addons (1.6.2.0-1) unstable; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release. (Closes: #534037)
  * New binary package: asterisk-mobile (chan_mobile.so).
  * Fixed download URL.
  * Patch docs_destdir: fix installing XML docs (though they're unused).
  * Patch datadir: set DATADIR under /usr/share/asterisk
  * Drop patch include_asterisk: not needed as of asterisk 1.4.18.
  * Drop patch nomarch: aparantly no longer needed.
  * Switch from dpatch to quilt.
  * Use libmysqlclient-dev (leave 15-dev for backports)
  * And kill the obsolete sarge backporting script that probably broke by that.

  [ Faidon Liambotis ]
  * Remove Kilian from Uploaders, hope to see you back!
  * Bump Standards-Version to 3.8.3, no changes needed.
  * Bump build-time and runtime dependency on asterisk-1.6.2.
  * Bump debhelper compatibility level to 7.
  * Remove backports/etch.

  [ Victor Seva ]
  * Fix watch file.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 29 Dec 2009 09:09:51 +0200

asterisk-addons (1.4.7-1) unstable; urgency=high

  * New upsteam release.
    - Fixes a remote crash vulnerability in chan_ooh323
      (AST-2008-009/CVE-2008-2543).
  * Urgency high because of a security fix release.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 05 Jun 2008 05:15:29 +0300

asterisk-addons (1.4.6-1) unstable; urgency=low

  [ Faidon Liambotis ]
  * New upstream release.
    - Adapt package to upstream's new directory structure.
  * Bump Standards-Version to 3.7.3, no changes.
  * Switch to asterisk-1.4 dependency.

  [ Tzafrir Cohen ]
  * Watching downloads.digium.com directly again.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 27 Apr 2008 23:03:43 +0300

asterisk-addons (1.4.5-1) unstable; urgency=low

  * New upstream release.
  * Add Build-Depends for asterisk >= 1.4.15 since the API was changed.
  * Fix debian/watch by using a pkg-voip wrapper to avoid upstream's silly
    redirections. (Closes: #450278)

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 11 Dec 2007 23:31:12 +0200

asterisk-addons (1.4.4-1) unstable; urgency=low

  * New upstream release.
    - Fixes a security vulnerability of cdr_mysql (CVE-2007-5488)

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 17 Oct 2007 13:28:02 +0300

asterisk-addons (1.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 15 Oct 2007 10:41:18 +0300

asterisk-addons (1.4.2-3) unstable; urgency=low

  * Don't Provide asterisk-h323 from asterisk-ooh323c, it's an entirely
    different package.
  * Fix package names of other H.323 channels in description of
    asterisk-ooh323c.
  * Don't install the ooh323c changelog on the other packages.
  * Add a README.Debian for asterisk-ooh323c that explains the differences
    between the different H.323 channel drivers, taken from the asterisk-oh323
    package.
  * Clarify ooh323c's description and mention the other H.323 drivers.
  * Remove Suggests for the other H.323 channels; they really aren't useful
    together and the package description points to them.
  * Make docs and examples globs more specific.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 11 Sep 2007 17:44:22 +0300

asterisk-addons (1.4.2-2) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch

  [ Faidon Liambotis ]
  * First upload to Debian. (Closes: #436404)
  * Add menuselect/mxml to debian/copyright.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 22 Aug 2007 01:51:30 +0300

asterisk-addons (1.4.2-1) unstable; urgency=low

  * New upstream release.

  [ Tzafrir Cohen ]
  * include_asterisk.dpatch: because our asterisk.h is under asterisk/ .
  * Package now has a decent makefile, so a simple 'make' and
    'make install' work.
  * Require asterisk 1.4 .

  [ Faidon Liambotis ]
  * Add myself to Uploaders.
  * Move debhelper to compatibility level 5.
  * Add forgotten epoch on asterisk-dev dependency.
  * Remove all sqlite references, this is in the main Asterisk package
    nowdays.
  * Adapt README.Debian to the present.
  * Patch configure script to check for asterisk.h in /usr/include/asterisk/.
  * debian/control: fix Descriptions, add dependency on the main asterisk
    package. Add suggestion of chan-h323 and chan-oh323 to chan-ooh323.
  * Fix debian/copyright.
  * Don't ignore "make clean" errors (fixes a lintian warning).

 -- Kilian Krause <kilian@debian.org>  Tue, 07 Aug 2007 18:34:58 +0200

asterisk-addons (1.2.5-1) UNRELEASED; urgency=low

  [ Tzafrir Cohen ]
  * New upstream release
  * debian/control: add dpatch to fix building.
  * Remove old unused patches and fix building on i386 with amd64 kernel.
  * call the upstream changelog a changelog
  * ooh323c_destdir.dpatch: removed, as applied by upstream.
  * nomarch.dpatch: updated for new version
  * Remove useless build-dep on sqlite-dev.
  * Updated standard version to 3.7.2. Aparantly no rxtra change required.
  * Get newer config.guess and config.sub for asterisk-ooh323c .

  [ Kilian Krause ]
  * Remove alternatives from Build-Depends as buildd/sbuild will only honor
    the first package anyway. Rather use debian/backports/$DIST for backports
    as will be new buildserver.net standard.

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Mon, 22 Jan 2007 21:57:34 +0200

asterisk-addons (1.2.1-1) unstable; urgency=low

  * New upstream release (1.2.1)
  * Adding sqliteInt.h for re_sqlite. This is an internal interface file.
    Probably a bad idea.

 -- Tzafrir Cohen <tzafrir.cohen@xorcom.com>  Sat, 31 Dec 2005 22:18:53 +0200

asterisk-addons (1.1.9.0beta1-1) unstable; urgency=low

  * Packaging add-ons from asterisk 1.2.0-beta1 



=== debian/control ===
Source: asterisk-addons
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 7), libmysqlclient-dev | libmysqlclient15-dev, asterisk-dev (>= 1:1.6.2.0~dfsg~rc1), autotools-dev, libbluetooth-dev
Standards-Version: 3.8.4
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/asterisk-addons/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/asterisk-addons/?op=log

Package: asterisk-mysql
Architecture: any
Depends: asterisk-1.6.2, ${shlibs:Depends}, ${misc:Depends}
Description: MySQL support for the Asterisk PBX (cdr mainly)
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package provides the following modules for basic MySQL support for the
 Asterisk PBX:
   * cdr_addon_mysql.so for logging call detail records (CDR) into a MySQL
     database
   * app_addon_sql_mysql.so for querying a MySQL database from your dialplan
   * res_config_mysql.so for configuring Asterisk using a MySQL database
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-mp3
Architecture: any
Depends: asterisk-1.6.2, ${shlibs:Depends}, ${misc:Depends}
Description: MP3 format support (format_mp3) for the Asterisk PBX
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package provides read-only native support for MP3 files for the Asterisk
 PBX.  This should allow you to, e.g, play MP3 files using Playback() or
 Background() from the dialplan.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-ooh323c
Architecture: any
Depends: asterisk-1.6.2, ${shlibs:Depends}, ${misc:Depends}
Description: H.323 protocol support for Asterisk (ooh323c stack)
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This channel driver (chan_ooh323c) provides support for the H.323 protocol 
 for Asterisk. This is an implementation by Objective Systems, Inc. and does
 not use the OpenH323 library.
 .
 This is one of many H.323 channel implementations for Asterisk with others
 being chan_h323 and chan_oh323, distributed by Debian as asterisk-h323 and
 asterisk-oh323, respectively.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

Package: asterisk-mobile
Architecture: any
Depends: asterisk-1.6.2, ${shlibs:Depends}, ${misc:Depends}
Description: bluetooth mobile devices support for Asterisk
 Asterisk is an Open Source PBX and telephony toolkit.
 .
 This package provides support for connecting Bluetooth devices to the
 Asterisk PBX. It allows you to:
   * Send and receive PSTN calls and SMS messages over a Bluetooth phone.
   * Use a Bluetooth handset as a local phone connected to your PBX.
 .
 For more information about the Asterisk PBX, have a look at the Asterisk
 package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export PROC := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# some generics
confflags += --prefix=/usr --sysconfdir=/etc/asterisk

PACKAGE:=asterisk-addons

DEBVERSION:=$(shell head -n 1 debian/changelog \
		    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
LOCALVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[0-9.]*$$//' )
UPVERSION:=$(shell echo $(LOCALVERSION) | sed -e 's/~\(rc[0-9]\)/-\1/')

UPREALVER:=

FILENAME := $(PACKAGE)_$(LOCALVERSION).orig.tar.gz
URL := http://downloads.digium.com/pub/asterisk/releases/asterisk-addons-$(UPVERSION).tar.gz

-include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g -fPIC

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

autotools-stamp:
	for dir in . channels menuselect; do \
		rm -f $$dir/config.sub $$dir/config.guess ; \
		cp /usr/share/misc/config.sub $$dir/config.sub ; \
		cp /usr/share/misc/config.guess $$dir/config.guess ; \
	done
	touch $@

configure: config.status
config.status: patch autotools-stamp
	dh_testdir
	./configure $(confflags)

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: config.status
	$(MAKE) CFLAGS="$(CFLAGS)"
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: config.status
	touch $@

clean: clean-unpatched unpatch
clean-unpatched:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp config.status
	$(MAKE) distclean
	rm -f menuselect/mxml/Makefile menuselect/mxml/mxml.list
	for dir in . channels menuselect; do \
		rm -f $$dir/config.sub $$dir/config.guess ; \
	done
	rm -f autotools-stamp
	dh_clean 

install: install-indep install-arch
install-indep:

INST_DIR=$(CURDIR)/debian/tmp
install-arch:
	dh_testdir
	dh_testroot
	dh_prep -a 
	dh_installdirs -a
	install -d -m 755 $(INST_DIR)/usr/lib/asterisk/modules
	$(MAKE) install DESTDIR=$(INST_DIR)
	dh_install --sourcedir=$(INST_DIR) --list-missing

# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs -pasterisk-oo323c doc/ChangeLog.chan_ooh323
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	# -n: there are no /usr/lib libraries in these packages
	dh_makeshlibs -n
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading $(FILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(FILENAME) $(URL)

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch patch unpatch

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=// \
	http://downloads.asterisk.org/pub/telephony/asterisk/releases/asterisk-addons-([0-9.]*).tar.gz debian svn-upgrade
